dofile "flightcommander.lua"

function init()
  Mission_setAutopilotEnabled(false);
  alliancedead = 0;
  networkdead = 0;
  Camera_setCameraType(CAMERA_COCKPIT)
end

function onalliancedead(shipid)
  alliancedead = alliancedead + 1;
  if (alliancedead == 4) then
    Objective_setState(0, OBJECTIVE_COMPLETE)
    Objective_setState(1, OBJECTIVE_COMPLETE)
    if (networkdead == 5) then
      Comm_playVideo("sonicunderground_oneleft.wav", "midway_statusbad.avi", "Sonic Underground", IFF_FRIEND, "Stephen, land immediently! We're getting out of here.");
    end
    if (networkdead == 4) then
      Comm_playVideo("sonicunderground_twoleft.wav", "midway_statusbad.avi", "Sonic Underground", IFF_FRIEND, "Damn, tough fighting. You two better land.");
    end
  end
end


function onnetworkdead(shipid)
  networkdead = networkdead + 1;
end


function Nav1Enter()
  Comm_playVideo("sonicunderground_return.wav", "midway_landing_bad.avi", "Sonic Underground", IFF_FRIEND, "Return to base immediently. We have incoming Alliance forces.");
  Mission_setAutopilotEnabled(true);
end

function Nav2Enter()
  Comm_playVideo("spite_wingattack.wav", "helmet.avi", "Spite", IFF_ENEMY, "My wing, attack!");
  Comm_playVideo("jarrah_looks.wav", "helmet.avi", "Jarrah", IFF_FRIEND, "These guys look as if they mean business.");
  Ship_setForceEject("$all1", true); -- Soopaha
  Ship_setForceEject("$all2", false); -- Mista
  Ship_setForceEject("$all3", false); -- Lilix
  Ship_setForceEject("$all4", true); -- Spite
  Ship_setForceEject("$trans", false); -- Marine Transport
  Ship_setForceEject("$net1", false); -- Kool Kat
  Ship_setForceEject("$net2", false); -- Pale Moon Rise
  Ship_setForceEject("$net3", true); -- Kirvee
  Ship_setForceEject("$net4", true); -- Jarrah
  Ship_setForceEject("$net5", true); -- Rocky
end

-- Friendly

-- Pale Moon Rise
-- Kirvee
-- Jarrah
-- Kool Kat
-- Rocky

-- Baddie

-- Lilix
-- Alliance Marine Transport
-- Mista
-- Soopaha
-- Spite
init();

