dofile "flightcommander.lua"

function init()
  Mission_setAutopilotEnabled(true);
  Camera_setCameraType(CAMERA_COCKPIT)
  oi = 0;
end

function Nav1Enter()
  Comm_playVideo("sonicunderground_takedown.wav", "midway.avi", "Sonic Underground", IFF_FRIEND, "Take those two escapees down before they can alert the rest of their fleet.");
  Comm_playVideo("jarrah_guard.wav", "helmet.avi", "Jarrah", IFF_FRIEND, "Sorry I can't come with you mate, guard duty.");
  Ship_setAIEnabled("$jarrah", false); -- Jarrah
  Ship_setAIEnabled("$rocky", false); -- Rocky
end

function End()
  Ship_setAIEnabled("$jarrah2", false); -- Jarrah
  Ship_setAIEnabled("$rocky2", false); -- Rocky
  Mission_setScriptControl(false);
end

function During()
  if Mission_isPlayerTraitor() == true then
    Ship_setAIEnabled("$jarrah", true); -- Jarrah
    Ship_setAIEnabled("$rocky", true); -- Rocky
    Ship_setAIEnabled("$jarrah2", true); -- Jarrah
    Ship_setAIEnabled("$rocky2", true); -- Rocky
  end
end

function Nav3During()
  local result = Comm_getLastChoice();
  if (result == 1) then
    Comm_playVideo("", "helmet.avi", "Soopaha", IFF_ENEMY, "Have it your way then!");
    Comm_setMenuOverride(false);
  elseif (result == 2) then
    Comm_playVideo("", "helmet.avi", "Soopaha", IFF_ENEMY, "Ha! So true.");
    Comm_setMenuOverride(false);
    Ship_setIff("$soopaha", IFF_FRIEND);
    Ship_setIff("$spite", IFF_FRIEND);
    Mission_setScriptControl(true);
    Mission_setAutopilotEnabled(true);
  end
end

function Nav3Enter()
  Ship_setForceEject("$soopaha", true); -- Soopaha
  Ship_setForceEject("$spite", true); -- Spite
  Comm_playVideo("", "helmet.avi", "Soopaha", IFF_ENEMY, "Greetings poor lonely pilot.");
  Comm_playVideo("", "helmet.avi", "Soopaha", IFF_ENEMY, "It seems that you are out numbered.");
  Comm_playVideo("", "helmet.avi", "Soopaha", IFF_ENEMY, "Why not surrender and join the Alliance?");
  Comm_setMenuText(1, "You guys are just scared after our last encounter.");
  Comm_setMenuText(2, "Deep down I knew that in the end the Alliance would win.");
  Comm_setMenuOverride(true);
end

function bad()
  oi = oi + 1;
  if oi == 2 then
    Objective_setState(0, OBJECTIVE_COMPLETE)
  end
end


init();