dofile "flightcommander.lua"

function init()
  Mission_setAutopilotEnabled(true);
  Camera_setCameraType(CAMERA_COCKPIT)
  end_time = 0;
  Mission_setFormation(1)
end

function Nav2Enter()
  Ship_setForceEject("$jarrah", true); -- Jarrah
  Ship_setForceEject("$janni", true); -- Janni
  Comm_playVideo("sonicunderground_formation.wav", "midway_landing_bad.avi", "Sonic Underground", IFF_FRIEND, "Greetings Alpha 3, get into formation.");
end



function Nav4Enter()
  Comm_playVideo("sonicunderground_madeit.wav", "midway_statusmedium.avi", "Sonic Underground", IFF_FRIEND);
  Mission_setScriptControl(true);
  Objective_setState(0, OBJECTIVE_COMPLETE)
  Music_play("kattheme.mp3");
  now = Mission_getElapsedTime();
  Overlay_setEnabled(true);
  Overlay_setText("Entering Networkian territory.");
  Ship_setAIEnabled("@midway", false);
  Ship_setMaxVelocity("@midway", 150.0);
  Ship_setDesiredVelocity("@midway", 3.0);
  Camera_setCameraType(CAMERA_SCRIPTABLE);
  Camera_setLocationFixed(-700.0, 0.0, -1000.0);
  Camera_setLookAtFixed(0.0, 0.0, 0.0);
end


function Nav4During()
 end_time = end_time + 1;
 if end_time > 10 then
   Mission_exit();
 end
end

init();


-- Jaz, Shaman, Janni
-- Kiah, Aya, Sia
-- Kage, Mad Dog, Pain